Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.action
Class PDFormFieldAdditionalActions

    java.lang.Object
      org.pdfbox.pdmodel.interactive.action.PDFormFieldAdditionalActions

All Implemented Interfaces:
  COSObjectable

public class PDFormFieldAdditionalActions
extends Object
implements COSObjectable

This class represents a form field's dictionary of actions that occur due to events.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield, Panagiotis Toumasis (ptoumasis@mail.gr)

Constructor Summary
`PDFormFieldAdditionalActions()` Default constructor.
`PDFormFieldAdditionalActions(COSDictionary a)` Constructor.

Method Summary
`PDAction` | `getC()` This will get a JavaScript action to be performed in order to recalculate the value of this field when that of another field changes.
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDAction` | `getF()` This will get a JavaScript action to be performed before the field is formatted to display its current value.
`PDAction` | `getK()` This will get a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box.
`PDAction` | `getV()` This will get a JavaScript action to be performed when the field's value is changed.
`void` | `setC(PDAction c)` This will set a JavaScript action to be performed in order to recalculate the value of this field when that of another field changes.
`void` | `setF(PDAction f)` This will set a JavaScript action to be performed before the field is formatted to display its current value.
`void` | `setK(PDAction k)` This will set a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box.
`void` | `setV(PDAction v)` This will set a JavaScript action to be performed when the field's value is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFormFieldAdditionalActions

    public PDFormFieldAdditionalActions()

  Default constructor.

### PDFormFieldAdditionalActions

    public PDFormFieldAdditionalActions(COSDictionary a)

  Constructor.

Parameters:
  `a` - The action dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getK

    public PDAction getK()

  This will get a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box. This allows the keystroke to be checked for validity and rejected or modified.

  Returns:
    The K entry of form field's additional actions dictionary.

### setK

    public void setK(PDAction k)

  This will set a JavaScript action to be performed when the user types a keystroke into a text field or combo box or modifies the selection in a scrollable list box. This allows the keystroke to be checked for validity and rejected or modified.

  Parameters:
    `k` - The action to be performed.

### getF

    public PDAction getF()

  This will get a JavaScript action to be performed before the field is formatted to display its current value. This allows the field's value to be modified before formatting.

  Returns:
    The F entry of form field's additional actions dictionary.

### setF

    public void setF(PDAction f)

  This will set a JavaScript action to be performed before the field is formatted to display its current value. This allows the field's value to be modified before formatting.

  Parameters:
    `f` - The action to be performed.

### getV

    public PDAction getV()

  This will get a JavaScript action to be performed when the field's value is changed. This allows the new value to be checked for validity. The name V stands for "validate".

  Returns:
    The V entry of form field's additional actions dictionary.

### setV

    public void setV(PDAction v)

  This will set a JavaScript action to be performed when the field's value is changed. This allows the new value to be checked for validity. The name V stands for "validate".

  Parameters:
    `v` - The action to be performed.

### getC

    public PDAction getC()

  This will get a JavaScript action to be performed in order to recalculate the value of this field when that of another field changes. The order in which the document's fields are recalculated is defined by the CO entry in the interactive form dictionary. The name C stands for "calculate".

  Returns:
    The C entry of form field's additional actions dictionary.

### setC

    public void setC(PDAction c)

  This will set a JavaScript action to be performed in order to recalculate the value of this field when that of another field changes. The order in which the document's fields are recalculated is defined by the CO entry in the interactive form dictionary. The name C stands for "calculate".

  Parameters:
    `c` - The action to be performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD